Unpin Memory
curl --request POST \
--url https://api.example.com/memories/{memory_id}/unpin \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/memories/{memory_id}/unpin"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/memories/{memory_id}/unpin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"context_pack_id": "<string>",
"version": 123,
"content": {},
"memory_type": "fact",
"source": {
"type": "<string>",
"conversation_id": "<string>",
"turn_index": 123,
"actor": "<string>",
"confidence": 0.5,
"document_url": "<string>"
},
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": [
"<string>"
],
"sensitivity": "<string>"
},
"metadata": {},
"quality": {
"validation_status": "unvalidated",
"confidence_score": 123,
"validated_at": "2023-11-07T05:31:56Z",
"validated_by": "<string>"
},
"access": {
"count": 123,
"success_count": 123,
"failure_count": 123,
"last_accessed": "2023-11-07T05:31:56Z",
"success_rate": 123
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content_url": "<string>",
"search_text": "<string>",
"superseded_by": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"superseded_at": "2023-11-07T05:31:56Z",
"reactivated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"pinned": false,
"pinned_at": "2023-11-07T05:31:56Z",
"unpinned_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}memories
Unpin Memory
POST
/
memories
/
{memory_id}
/
unpin
Unpin Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Available options:
fact, experience, observation, instruction, preference, summary, glossary, ontology, textual_pattern, kpi, exemplar, join, numeric_pattern, policy Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
active, superseded, archived, deleted Was this page helpful?

